/* 
   Unix SMB/Netbios implementation.
   Version 1.9.
   SMB torture tester
   Copyright (C) Andrew Tridgell 1997-1998
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifdef SYSLOG
#undef SYSLOG
#endif

#include "includes.h"

char *localname = "fjall";

void netbash(char *host)
{
	static struct cli_state cli;
	int svc;
	unsigned char buf[8192];
	unsigned int len, i;

	while (1) {
		svc = ((unsigned)random()) % 256;

		memset(&cli, 0, sizeof(cli));
	
		if (!cli_initialise(&cli) || !cli_connect(&cli, host, NULL)) {
			printf("Failed to connect with %s\n", host);
			continue;
		}

		cli_session_request(&cli, host, 0x20, localname);
		cli_session_request(&cli, host, 0x1, localname);
		sleep(5);

		if (!cli_session_request(&cli, host, svc, localname)) {
			/* printf("%s#%02x rejected the session\n",host, svc); */
			cli_shutdown(&cli);
			continue;
		}

		len = random() % 8192;
			

		for (i=0;i<len;i++) buf[i] = random();

		write(cli.fd, buf, len);

		printf("wrote %d to %d\n", len, svc);

		cli_shutdown(&cli);
	}
	
}


/****************************************************************************
  main program
****************************************************************************/
 int main(int argc,char *argv[])
{
	TimeInit();
	charset_initialise();

	netbash(argv[1]);

	return(0);
}


