/* 
   Unix SMB/Netbios implementation.
   Version 1.9.
   SMB client - smb mount
   Copyright (C) Andrew Tridgell              1994-1998
   Copyright (C) Luke Kenneth Casson Leighton 1996-1998
   Copyright (C) Volker Lendecke              1997-1998
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifdef SYSLOG
#undef SYSLOG
#endif

#include "includes.h"


extern pstring debugf;
extern int DEBUGLEVEL;

extern FILE* out_hnd;

extern struct cli_state *smb_cli;
extern int smb_tidx;


/****************************************************************************
mount smbfs
****************************************************************************/
void cmd_mount(struct client_info *info)
{
	pstring mpoint;
	char mount_pt[MAXPATHLEN+1];
	pstring mount_cmd;
	fstring buf;

	if (!next_token(NULL, mpoint, NULL))
	{
		fprintf(out_hnd, "mount <mount point>\n");
		return;
	}

	bzero(mount_pt, sizeof(mount_pt));

	if (realpath(mpoint, mount_pt) == NULL)
	{
		DEBUG(0, ("Could not resolve mount point %s\n"));
		return;
	}

	slprintf(mount_cmd, sizeof(mount_cmd)-1, "smbmnt %s", mount_pt);

	while (next_token(NULL, buf, NULL))
	{
		strcat(mount_cmd, " ");
		strcat(mount_cmd, buf);
	}

	DEBUG(3,("mount command: %s\n", mount_cmd));

	cli_mount(smb_cli, &smb_tidx, mount_cmd, mount_pt);
}

